package net.wanji.datacenter.service.impl;

import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import net.wanji.common.utils.tool.JacksonUtils;
import net.wanji.datacenter.kafka.ProducerHandler;
import net.wanji.datacenter.pojo.dto.CrossSnapshotDataDTO;
import net.wanji.datacenter.service.DataProcessService;
import org.springframework.stereotype.Service;

/**
 * @author duanruiming
 * @date 2023/08/04 10:24
 */
@Slf4j
@Service(value = "crossSnapshotDataProcessService")
@RequiredArgsConstructor
public class CrossSnapshotDataProcessService implements DataProcessService {

    private final ProducerHandler producerHandler;

    @Override
    public void send(String topic, Object convertData) {
        producerHandler.send2FirstKafka(topic, convertData);
    }

    @Override
    public Object convert(String originalData) throws Exception {
        return JacksonUtils.getInstance().readValue(originalData, CrossSnapshotDataDTO.class);
    }

    @Override
    public void save(Object convertData) throws Exception {

    }
}
